package edu.princeton.swing.text;

import java.awt.event.*;

import edu.princeton.swing.*;

/**
 * DefaultAutoCompleter is the simplest implementation of AutoCompleter.
 *
 * @version 7.1
 * @author btsang
 */

public class DefaultAutoCompleter implements AutoCompleter
{
    public DefaultAutoCompleter()
    {

    }

    /**
     * The PHighlightedTextArea will pass all key events to its auto-completer before processing
     * the event for itself.
     *
     * @param comp The component which recieved the KeyEvent.
     * @param e The event which occurred.
     * @return True if the component should ignore the KeyEvent (because this method already
     * performed a special action associated with it).  In either case, KeyListeners of the
     * component will still be informed of the event.
     */
    public boolean interceptKeyEvent(PHighlightedTextArea comp, KeyEvent e)
    {
        return false;
    }
}
